# This file contains the fastlane.tools configuration
# You can find the documentation at https://docs.fastlane.tools
#
# For a list of all available actions, check out
#
#     https://docs.fastlane.tools/actions
#
# For a list of all available plugins, check out
#
#     https://docs.fastlane.tools/plugins/available-plugins
#

# Uncomment the line if you want fastlane to automatically update itself
# update_fastlane

default_platform(:ios)

platform :ios do
  desc "Description of what the lane does"
  lane :debug do
    # add actions here: https://docs.fastlane.tools/actions
    gym(
     scheme:"Debug",
     workspace:"OrderScheduling.xcworkspace",
     clean:true,
     output_directory:"/Users/zd/Desktop/Ipa包/中道调度/Debug",
     output_name:"OrderScheduling_debug",
     configuration:"Debug",
     include_symbols:true,
     build_path:"/Users/zd/Desktop/Ipa包/中道调度/Debug",
     archive_path:"/Users/zd/Desktop/Ipa包/中道调度/Debug",
     include_bitcode: false,
     export_method:"development",
     export_options: {
        signingStyle: 'development',
        provisioningProfiles: {
           "com.sino.supplier.OrderSchedulingNotificationService" => "sino supplier notification service extension",
           "com.sino.supplier" => "sup dev"
        }
     }      
    )
    pgyer(api_key: "f024760fe1519016c3a61b7a29f19dcb", update_description: "开发环境")
  end

lane :preRelease do
    # add actions here: https://docs.fastlane.tools/actions
    gym(
     scheme:"PreRelease",
     workspace:"OrderScheduling.xcworkspace",
     clean:true,
     output_directory:"/Users/zd/Desktop/Ipa包/中道调度/PreRelease/",
     output_name:"OrderScheduling_adhoc",
     configuration:"ADHOC",
     include_symbols:true,
     build_path:"/Users/zd/Desktop/Ipa包/中道调度/PreRelease/",
     archive_path:"/Users/zd/Desktop/Ipa包/中道调度/PreRelease/",
     include_bitcode: false,
     export_method:"ad-hoc",
     export_options: {
        signingStyle: 'ad-hoc',
        provisioningProfiles: {
           "com.sino.supplier.OrderSchedulingNotificationService" => "sino supplier notification service extension adhoc",
           "com.sino.supplier" => "supplier adhoc"
        }
     }      
     )
    pgyer(api_key: "f024760fe1519016c3a61b7a29f19dcb", update_description: "模拟环境")
  end
 lane :release do
   sync_code_signing(type: "appstore")  # see code signing guide for more information
   build_app(scheme: "MyApp")
   upload_to_app_store                  # upload your app to App Store Connect
 end
end
